package com.example.mysmartlab.Model

import retrofit2.Call
import retrofit2.http.GET

import retrofit2.http.Header
import retrofit2.http.POST

interface APIRequest {
    @POST("api/SendCode")
    fun SendCode(@Header("User-email") email: String): Call<String>

    @POST("api/SignIn")
    fun SignIn(@Header("User-email") email: String, @Header("User-code") code: String): Call<String>

    @GET("api/News")
    fun getNews(): Call<ArrayList<NewsItem>>

    @GET("api/Catalog")
    fun getCatalog(): Call<ArrayList<CatalogItem>>
}